/*
* Made by: Andreas Poulsen
* Email: Andreas.peter.poulsen@gmail.com
*/

/***********/
/* OVERALL */
/***********/
*{
    margin: 0;
    padding:0; 
    font-family: 'Montserrat', 'Gill Sans', 'Gill Sans MT', 'Trebuchet MS', sans-serif;
}

body{
    background: linear-gradient(90deg, rgba(255,19,191,1) 0%, rgba(255,70,70,1) 68%);
    width: auto;
    max-width: 900px;
    margin: auto;
}

button, input{
    padding: 0;
    border: none;
    background: rgba(255, 255, 255, 0.9);
    outline: none;
}

/*****************/
/* HEADER SEARCH */
/*****************/
header{
    margin-top:45px;
}

header > h1{
    margin-bottom: 15px;
    color:white;
    font-size: 8em;
}

.flex-container{
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.row{
    width: 100%;
    display: flex;
    justify-content: center;
}

.row > button{
    margin:15px;
    height:30px;
    border-radius: 15px;
    min-width: 125px;
}

#search_input{
    border-radius: 15px;
    padding-left: 15px;
    height: 30px;
    min-width: 100px;
    width: 60%;
}

#search_icon{
    height: 80%;
    top: 10px;
    margin-left: -35px;
    position: relative;
}

/***********/
/* TABLE */
/***********/
main{
    margin-top:30px;
}

#table{
    margin: auto;
    right: 0;
    left: 0;
}

#table thead{
    text-align: left;
}

th{
    background-color:rgb(233, 233, 233);
    padding:5px;
}

th,td{
    min-width: 150px;
    padding:5px;
}

tr:nth-child(even) {
    background-color: #f2f2f2;
}

tr:nth-child(odd) {
    background-color: #cccccc;
}

table input{
    background: rgba(0,0,0,0);
    width:100%;
}

#saveDB{
    text-align: center;
}

#table, #table thead, th, th, td, tr:nth-child(even), tr:nth-child(odd), table p{
    animation: fadein 2s;
}

#saveDB{
    opacity: 0;
}

.fadeinOut{
    animation: fadeinOut 5s;
}

/**************/
/* ANIMATIONS */
/**************/
@keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

@keyframes fadeinOut {
    0%      { opacity: 0; }
    5%     { opacity: 1; }
    95%     { opacity: 1; }
    100%    { opacity: 0; }
}